Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.threetier
Class ConnectionPool

`java.lang.Object
oracle.toplink.threetier.ConnectionPool`

Direct Known Subclasses:
  ExternalConnectionPool, ReadConnectionPool

public class ConnectionPool
extends java.lang.Object

Purpose: Used to specify how connection should be pooled in a server session.

See Also:
  `ServerSession`

Constructor Summary
`ConnectionPool()` PUBLIC: A connection pool is used to specify how connection should be pooled in a server session.
`ConnectionPool(java.lang.String name, Login login, int minNumberOfConnections, int maxNumberOfConnections, oracle.toplink.threetier.ServerSession owner)` PUBLIC: A connection pool is used to specify how connection should be pooled in a server session.

Method Summary
`Login` | `getLogin()` PUBLIC: Return the login used to create connections.
`int` | `getMaxNumberOfConnections()` PUBLIC: Return the maximum number of connections allowed.
`int` | `getMinNumberOfConnections()` PUBLIC: Return the minimum number of connections.
`java.lang.String` | `getName()` PUBLIC: Return the name of this pool.
`void` | `setLogin(Login login)` PUBLIC: Set the login used to create connections.
`void` | `setMaxNumberOfConnections(int maxNumberOfConnections)` PUBLIC: Set the maximum number of connections allowed.
`void` | `setMinNumberOfConnections(int minNumberOfConnections)` PUBLIC: Set the minimum number of connections.
`void` | `setName(java.lang.String name)` PUBLIC: Set the name of this pool.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionPool

    public ConnectionPool()

  PUBLIC: A connection pool is used to specify how connection should be pooled in a server session.

### ConnectionPool

    public ConnectionPool(java.lang.String name,
                          Login login,
                          int minNumberOfConnections,
                          int maxNumberOfConnections,
                          oracle.toplink.threetier.ServerSession owner)

  PUBLIC: A connection pool is used to specify how connection should be pooled in a server session.

Method Detail

### getLogin

    public Login getLogin()

  PUBLIC: Return the login used to create connections.

### getMaxNumberOfConnections

    public int getMaxNumberOfConnections()

  PUBLIC: Return the maximum number of connections allowed. When the max is reached clients must wait for a connection to become available.

### getMinNumberOfConnections

    public int getMinNumberOfConnections()

  PUBLIC: Return the minimum number of connections. These connection will be create on startup.

### getName

    public java.lang.String getName()

  PUBLIC: Return the name of this pool. Pools are identified by name to allow multiple connection pools.

### setLogin

    public void setLogin(Login login)

  PUBLIC: Set the login used to create connections.

### setMaxNumberOfConnections

    public void setMaxNumberOfConnections(int maxNumberOfConnections)

  PUBLIC: Set the maximum number of connections allowed. When the max is reached clients must wait for a connection to become available.

### setMinNumberOfConnections

    public void setMinNumberOfConnections(int minNumberOfConnections)

  PUBLIC: Set the minimum number of connections. These connection will be create on startup.

### setName

    public void setName(java.lang.String name)

  PUBLIC: Set the name of this pool. Pools are identified by name to allow multiple connection pools.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD